# Note that this is NOT a relocatable package
%define prefix  /usr

Summary: Tool for easily maintaining remote web sites
Name: sitecopy
Version: 0.13.3
Release: 1mdk
License: GPL
Group: Networking/File transfer
Source0: http://www.lyra.org/sitecopy/sitecopy-%{version}.tar.bz2
URL: http://www.lyra.org/sitecopy/
BuildRoot: %_tmppath/sitecopy-%{version}-root
BuildRequires: libopenssl-devel

%description
sitecopy allows you to easily maintain remote Web sites.  The program
will upload files to the server which have changed locally, and delete
files from the server which have been removed locally, to keep the
remote site synchronized with the local site, with a single
command. sitecopy will also optionally try to spot files you move
locally, and move them remotely.  FTP and WebDAV servers are
supported.

%prep
%setup -q

%build
# vanilla sitecopy.
mkdir sitecopy; cd sitecopy

CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ../configure \
	--prefix=%{prefix} \
	--libdir=%{_libdir} \
	--enable-debug \
	--with-ssl=%{_includedir} \
	--with-included-expat \
	--with-included-neon \
	--disable-rsh
%make

%install
rm -rf $RPM_BUILD_ROOT
(cd sitecopy; %makeinstall) || exit 1

%find_lang %{name}

# fix doc file permissions
chmod 0644 COPYING ChangeLog INSTALL NEWS README* THANKS TODO

# (sb) installed but unpackaged files
rm -fr $RPM_BUILD_ROOT/%{_prefix}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/sitecopy
%{_mandir}/man1/*
%{_prefix}/share/sitecopy
%doc COPYING ChangeLog INSTALL NEWS README* THANKS TODO

%changelog
* Wed Jul  2 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.13.3-1mdk
- 0.13.3

* Thu May 22 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.13.0-1mdk
- 0.13.0

* Mon Apr 28 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.12.1-1mdk
- 0.12.1, BuildRequires, drop xsitecopy - pretty broken 

* Mon Dec 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.11.4-2mdk
- rebuild for new glibc/rpm

* Sun Jul 14 2002 Roger <roger@linuxfreemail.com> 0.11.4-1mdk
- ok. i'm stumped. (didn't know a cvs existed) rebuilt for 0.11.4 release.
- now builds both sitecopy/xsitecopy
- fix BuildRoot, s/Copyright/License/, rpmlint fixes (sb)

* Tue Jul  2 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.11.4-0.20020206.1mdk
- first Mandrake release

